Chess Now! IconChess Now
API ReferenceFriends

Send a friend request

POST
/api/me/friends/add/{username}

Sends a friend request to a target user by their username. It stays pending until the target user either accepts or denies it.

Triggers the friend:request ws event to the target user.

Path Parameters

username*string

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X POST "https://example.com/api/me/friends/add/string"
{  "success": true,  "data": {    "id": 1,    "createdAt": "2024-01-01T12:00:00Z",    "fromId": "123e4567-e89b-12d3-a456-426614174000",    "toId": "987e6543-e21b-34d5-a678-426614174000",    "status": "pending",    "from": {      "id": "123e4567-e89b-12d3-a456-426614174000",      "name": "John Doe",      "username": "johndoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    },    "to": {      "id": "987e6543-e21b-34d5-a678-426614174000",      "name": "Jane Doe",      "username": "janedoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    }  }}